package lcsb.mapviewer.model.map.layout.graphics;

import lcsb.mapviewer.common.Comparator;
import lcsb.mapviewer.model.cache.UploadedFileEntryComparator;

public class GlyphComparator extends Comparator<Glyph> {


  public GlyphComparator() {
    super(Glyph.class, true);
  }

  @Override
  protected int internalCompare(final Glyph arg0, final Glyph arg1) {
    UploadedFileEntryComparator fileComparator = new UploadedFileEntryComparator();

    if (fileComparator.compare(arg0.getFile(), arg1.getFile()) != 0) {
      return fileComparator.compare(arg0.getFile(), arg1.getFile());
    }

    return 0;
  }

}
