package lcsb.mapviewer.modelutils.map;

import java.util.Comparator;

/**
 * Class used to compare classes using class names (SimpleName).
 *
 * @author Piotr Gawron
 */
public class ClassNameComparator<T> implements Comparator<Class<? extends T>> {

  @Override
  public int compare(final Class<? extends T> o1, final Class<? extends T> o2) {
    return o1.getSimpleName().compareTo(o2.getSimpleName());
  }

}
